Subject: bug#8857: display-buffer attempt to pop-up frame in batch mode causes "Unknown terminal type" error

From: martin rudalics <[email-masked]>
Date: Tue, 14 Jun 2011 19:14:47 +0200

>> Can you tell me where and why `display-buffer' is called?
 >
 > I don't know. From `find-file' I guess. I noticed because of this:
 >
 > http://lists.gnu.org/archive/html/emacs-buildstatus/2011-06/msg00004.html
 >
 > (which was due to custom-make-dependencies leaving files on the
 > command-line so they were processed as normal file arguments)

I see.  But I wonder why this wasn't a problem before (that is, the idea
of popping up a new frame).

 > Maybe display-buffer should just be a no-op in batch-mode, since it's
 > impossible (?) to display anything then (except via the echo area).
 >
 > (defun display-buffer () ""
 >  (unless noninteractive
 >    ...))

That would be trivial to do.

martin